// -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-
/***
  BEGIN LICENSE
	
  Copyright (C) 2011-2012 Mario Guerriero <mefrio.g@gmail.com>
  This program is free software: you can redistribute it and/or modify it	
  under the terms of the GNU Lesser General Public License version 3, as published	
  by the Free Software Foundation.
	
  This program is distributed in the hope that it will be useful, but	
  WITHOUT ANY WARRANTY; without even the implied warranties of	
  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR	
  PURPOSE.  See the GNU General Public License for more details.
	
  You should have received a copy of the GNU General Public License along	
  with this program.  If not, see <http://www.gnu.org/licenses/>	
  
  END LICENSE	
***/

using Gtk;

public class WuuzyClock : Peas.ExtensionBase,  Peas.Activatable
{
    Wuuzy.BaseWidget basewidget;
    Wuuzy.Interface plugins;
    public Object object { owned get; construct; }

    public void activate () { 
        basewidget = new Wuuzy.BaseWidget ();
        basewidget.init ();
        var box = new Box (Orientation.VERTICAL, 0);
            //box.margin = 40;
            //box.margin_left = box.margin_right = 60;

        var clock = new Wuuzy.ClockFace ();

            //box.pack_start (clock);

            basewidget.add (clock);
            //var w = new Window ();
            //w.add (box);
            //w.show_all ();
            
        basewidget.run ();

    }
    
    public void deactivate () {
        basewidget.destroy ();
    }
    
    public void update_state () {
    
    }
}

[ModuleInit]
public void peas_register_types (GLib.TypeModule module) {
    var objmodule = module as Peas.ObjectModule;
    objmodule.register_extension_type (typeof (Peas.Activatable),
                                     typeof (WuuzyClock));
}
