// -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-
/***
  BEGIN LICENSE

  Copyright (C) 2012 Mario Guerriero <mefrio.g@gmail.com>
  This program is free software: you can redistribute it and/or modify it
  under the terms of the GNU Lesser General Public License version 3, as
  published    by the Free Software Foundation.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranties of
  MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
  PURPOSE.  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License along
  with this program.  If not, see <http://www.gnu.org/licenses>

  END LICENSE
***/

namespace Wuuzy.Utils {
    
    // Constants
    public const string APP_TITLE = "Wuuzy";
    public const string ICON = "wuuzy";
    public const string COMMENTS = _("Widgets for Ubuntu");
    public const string COPYRIGHTS = "2012 (C) - Mario Guerriero";
    public const string LAUNCHPAD_URL = "https://launchpad.net/wuuzy";
    public const string LAUNCHPAD_LABEL = _("Website");
    public const string[] AUTHORS = { "Mario Guerriero <mefrio.g@gmail.com>" };
    public const string ICON_ABOUT_LOGO = "wuuzy";
    public const string TRANSLATORS=  N_("Launchpad translators");
    public const string HELP_URL = "https://answers.launchpad.net/wuuzy";
    public const string TRANSLATE_URL = "https://translations.launchpad.net/wuuzy";
    public const string BUG_URL = "https://bugs.launchpad.net/wuuzy";
    public const string LICENSE = """This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.""";
    
    public const string TWITTER_URL = "https://twitter.com/intent/tweet?hashtags=ubuntu&original_referer=https%3A%2F%2Ftwitter.com%2Fabout%2Fresources%2Fbuttons&source=tweetbutton&text=I'm%20using%20Wuuzy%2C%20the%20widgets%20for%20Ubuntu&url=http%3A%2F%2Flaunchpad.net%2Fwuuzy";
    public const string TWITTER_ICON = "twitter";
    
    public const string POOF_IMAGE = "/opt/wuuzy/data/poof.png";
    
    public const string MENUBAR = """
<menubar name="MenuBar">
	<menu action="File">
		<menuitem name="Preferences" action="Preferences"/>
		<separator />
		<menuitem name="Close" action="Close"/>
	</menu>

	<menu action="Help">
		<menuitem name="GetHelp" action="GetHelp"/>
		<menuitem name="Translate" action="Translate"/>
		<menuitem name="ReportProblem" action="ReportProblem"/>
		<separator />
		<menuitem name="About" action="About"/>
	</menu>
</menubar>    
    """;

}
